Notice of expiring password in greeter not really visible

Bug #1304866 reported by Ritesh Khadgaray on 2014-04-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity-greeter (Ubuntu)
Medium
Robert Ancell
Precise
Medium
Robert Ancell
Trusty
Medium
Robert Ancell

Bug Description

[Impact]
Messages that are shown after authentication is complete are not seen as the greeter immediately closes and the session starts. Examples of messages are warnings that the user password will expire soon.

[Test Case]
1. Make new user
2. Make user account set to expiring with chage tool. (pick yesterday for the date here)
$ sudo chage -d 2014/04/29 -M 2 <username>
3. Log into this user from the greeter

Expected result:
User is informed that their password is about to expire.

Observed result:
Message displayed briefly before greeter closes and session starts. (On fast systems may not be visible at all)

[Regression Potential]
Since this is a behaviour change in how the UI presents authentication prompts there is a risk that other authentication cases might be adversely affected. Tested manually using the unity-greeter test mode which simulates many of these cases.

description: updated
Chris J Arges (arges) on 2014-04-09
Changed in lightdm (Ubuntu):
importance: Undecided → Medium
affects: lightdm (Ubuntu) → unity-greeter (Ubuntu)
no longer affects: lightdm
summary: - Notice of expiring password in lightdm not really visible
+ Notice of expiring password in greeter not really visible
Changed in unity-greeter (Ubuntu):
status: New → Fix Released
Changed in unity-greeter (Ubuntu Precise):
importance: Undecided → Medium
status: New → Triaged
description: updated
description: updated
Changed in unity-greeter (Ubuntu):
status: Fix Released → Triaged
Robert Ancell (robert-ancell) wrote :

Confirmed this occurs in all versions. This is probably due to the messages being passed to the greeter but it not waiting to show them. The appropriate solution is to show a login button (as shown when you don't have a password) if there are messages after entering the password.

The issue with the message not fitting is probably better tracked in bug 855294 (feel free to increase priority).

description: updated
description: updated
Changed in unity-greeter (Ubuntu Trusty):
importance: Undecided → Medium
status: New → Triaged
Changed in unity-greeter (Ubuntu Precise):
status: Triaged → Fix Committed
Changed in unity-greeter (Ubuntu Trusty):
status: Triaged → Fix Committed
Changed in unity-greeter (Ubuntu):
status: Triaged → Fix Committed
Changed in unity-greeter (Ubuntu Trusty):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in unity-greeter (Ubuntu Precise):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in unity-greeter (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 14.10.0-0ubuntu2

---------------
unity-greeter (14.10.0-0ubuntu2) utopic; urgency=medium

  * New upstream release:
    - Require user to acknowledge messages received after authentication is
      complete, for example if their password is about to expire. (LP: #1304866)
 -- Robert Ancell <email address hidden> Wed, 30 Apr 2014 15:38:02 +1200

Changed in unity-greeter (Ubuntu):
status: Fix Committed → Fix Released

Hello Ritesh, or anyone else affected,

Accepted unity-greeter into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-greeter/14.04.10-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Ritesh, or anyone else affected,

Accepted unity-greeter into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-greeter/0.2.9-0ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Bryan Quigley (bryanquigley) wrote :

Verified fix on 12.04/14.04. Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 14.04.10-0ubuntu1

---------------
unity-greeter (14.04.10-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Require user to acknowledge messages received after authentication is
      complete, for example if their password is about to expire. (LP: #1304866)
 -- Robert Ancell <email address hidden> Wed, 30 Apr 2014 15:33:19 +1200

Changed in unity-greeter (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity-greeter has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 0.2.9-0ubuntu1.4

---------------
unity-greeter (0.2.9-0ubuntu1.4) precise; urgency=medium

  * debian/patches/post-login-messages.patch:
    - Require user to acknowledge messages received after authentication is
      complete, for example if their password is about to expire. (LP: #1304866)
 -- Robert Ancell <email address hidden> Wed, 30 Apr 2014 15:31:09 +1200

Changed in unity-greeter (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers